summaryrefslogtreecommitdiffstats
path: root/cholerab/knut
diff options
context:
space:
mode:
Diffstat (limited to 'cholerab/knut')
-rwxr-xr-xcholerab/knut/clients/cnot/index14
1 files changed, 14 insertions, 0 deletions
diff --git a/cholerab/knut/clients/cnot/index b/cholerab/knut/clients/cnot/index
new file mode 100755
index 00000000..a9e4972d
--- /dev/null
+++ b/cholerab/knut/clients/cnot/index
@@ -0,0 +1,14 @@
+#! /bin/sh
+#
+#
+#
+set -euf
+
+host="$1"; shift
+port=42101
+
+params="$*"
+
+exec curl -vsS -X PUT --data-binary @- "http://$host:$port" <<EOF
+{"method":"clive","params":"$params","id":null}
+EOF